import request from '@/utils/request'

// 签到配置详情
export function list(){
  return request({
    url: `/appSignConfig/get`,
    method: 'get'
  })
}

// 修改签到配置
export function submit(data){
  return request({
    url: `/appSignConfig/update`,
    method: 'post',
    data
  })
}

// 删除连续签到奖励
export function removeContinue(ids){
  return request({
    url: `/appSignConfig/deleteContinue/${ids}`,
    method: 'delete'
  })
}

// 删除收听时间奖励
export function removeListenGood(data){
  return request({
    url: `/appSignConfig/deleteListenGood`,
    method: 'post',
    data
  })
}